Package org.drinkless.tdlib

# Class TdApi.ChecklistTask

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChecklistTask

Enclosing class:
  `TdApi`

public static class TdApi.ChecklistTask extends TdApi.Object
Describes a task in a checklist.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.MessageSender`
  `completedBy`
  Identifier of the user or chat that completed the task; may be null if the task isn't completed yet.
  `int`
  `completionDate`
  Point in time (Unix timestamp) when the task was completed; 0 if the task isn't completed.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `id`
  Unique identifier of the task.
  `TdApi.FormattedText`
  `text`
  Text of the task; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, DateTime and automatically found entities.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChecklistTask()`
  Describes a task in a checklist.
  `ChecklistTask(int id, TdApi.FormattedText text, TdApi.MessageSender completedBy, int completionDate)`
  Describes a task in a checklist.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public int id
    Unique identifier of the task.

  - ### text

    public TdApi.FormattedText text
    Text of the task; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, DateTime and automatically found entities.

  - ### completedBy

    @Nullable public TdApi.MessageSender completedBy
    Identifier of the user or chat that completed the task; may be null if the task isn't completed yet.

  - ### completionDate

    public int completionDate
    Point in time (Unix timestamp) when the task was completed; 0 if the task isn't completed.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChecklistTask

    public ChecklistTask()
    Describes a task in a checklist.

  - ### ChecklistTask

    public ChecklistTask(int id, TdApi.FormattedText text, TdApi.MessageSender completedBy, int completionDate)
    Describes a task in a checklist.
    Parameters:
      `id` - Unique identifier of the task.
      `text` - Text of the task; may contain only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, DateTime and automatically found entities.
      `completedBy` - Identifier of the user or chat that completed the task; may be null if the task isn't completed yet.
      `completionDate` - Point in time (Unix timestamp) when the task was completed; 0 if the task isn't completed.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR